/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/


#include "MustuxDebugger.hh"

namespace MustuxDebugger
        {
        int ntabs = 0;
        bool debugOn = false;
        }

void MustuxDebugger::fill_tabs()
        {
        for (int i=0; i < ntabs; i++) printf("    ");
        }

void MustuxDebugger::more_tabs()
        {
        ntabs++;
        }

void MustuxDebugger::less_tabs()
        {
        ntabs--;
        }

void MustuxDebugger::set_debug_on()
        {
        debugOn = true;
        }

void MustuxDebugger::set_debug_off()
        {
        debugOn = false;
        }

bool MustuxDebugger::is_debug_on()
        {
        return debugOn;
        }

//eof

